<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "partner_site_provider_featured".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PartnerSiteProviderFeatured".
 *
 * Columns in table "partner_site_provider_featured" available as properties of the model,
 * followed by relations of table "partner_site_provider_featured" available as properties of the model.
 *
 * @property integer $id
 * @property integer $provider_id
 * @property integer $partner_site_id
 * @property integer $is_automatic
 * @property integer $added_by_account_id
 * @property integer $updated_by_account_id
 * @property integer $active
 * @property Provider $provider
 * @property PartnerSite $partner_site
 */
abstract class BasePartnerSiteProviderFeatured extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'partner_site_provider_featured';
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('provider_id, partner_site_id, added_by_account_id', 'required'),
            array('provider_id, partner_site_id, is_automatic, added_by_account_id, updated_by_account_id',
                'numerical', 'integerOnly' => true),
            array('id, provider_id, partner_site_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'provider' => array(self::BELONGS_TO, 'Provider', 'provider_id'),
            'partner_site' => array(self::BELONGS_TO, 'PartnerSite', 'partner_site_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_id' => Yii::t('app', 'Provider'),
            'partner_site_id' => Yii::t('app', 'PartnerSite'),
            'is_automatic' => 'Is Automatic',
            'added_by_account_id' => 'Added By Account',
            'updated_by_account_id' => 'Updated By Account',
            'active' => 'Active',
            'date_added' => 'Date Added',
            'date_updated' => 'Date Updated',
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('partner_site_id', $this->partner_site_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PartnerSiteProviderFeatured|PartnerSiteProviderFeatureds', $n);
    }

}
